com.smartgwt.client.types

## Enum PartialCommitOption

- java.lang.Object
- - java.lang.Enum<PartialCommitOption>
  - - com.smartgwt.client.types.PartialCommitOption

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<PartialCommitOption>

      public enum PartialCommitOption
      extends java.lang.Enum<PartialCommitOption>
      implements ValueEnum

  Action to take if a user attempts to save the dataset produced by a `BatchUploader` whilst it still contains errors.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW` Silently allow the partial commit to proceed (note that this will result in the user losing those records that contain errors)
    `PREVENT` Pop up a message window and prevent the partial commit
    `PROMPT` Pop up a confirmation window and allow the user to choose whether or not to proceed

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static PartialCommitOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PartialCommitOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW

          public static final PartialCommitOption ALLOW

      Silently allow the partial commit to proceed (note that this will result in the user losing those records that contain errors)

    - #### PREVENT

          public static final PartialCommitOption PREVENT

      Pop up a message window and prevent the partial commit

    - #### PROMPT

          public static final PartialCommitOption PROMPT

      Pop up a confirmation window and allow the user to choose whether or not to proceed

  - ### Method Detail

    - #### values

          public static PartialCommitOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PartialCommitOption c : PartialCommitOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PartialCommitOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`